MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("NSPersistentStoreCoordinator", true) To be added. To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor that initializes a new instance of this class with no parameters.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithManagedObjectModel:")
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSAddedPersistentStoresKey To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("addPersistentStoreWithType:configuration:URL:options:error:")
  MonoMac.CoreData.NSPersistentStore `` `` `` `` `` To be added.

  To be added.

  This parameter can be .

  To be added.

  To be added.

  This parameter can be .

  To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSBinaryStoreType To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidImportUbiquitousContentChanges NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver (NSPersistentStoreCoordinator.DidImportUbiquitousContentChangesNotification, (notification) => Console.WriteLine ("Received the notification NSPersistentStoreCoordinator", notification); // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSPersistentStoreCoordinator", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSPersistentStoreCoordinator.DidImportUbiquitousContentChangesNotification, Callback); }`
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the NSPersistentStoreCoordinator object.

  This Dispose method releases the resources used by the NSPersistentStoreCoordinator class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the NSPersistentStoreCoordinator ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Method
  0.0.0.0
  MonoMac.Foundation.Export("executeRequest:withContext:error:")
  MonoMac.Foundation.NSObject `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSIgnorePersistentStoreVersioningOption To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSInferMappingModelAutomaticallyOption To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSInMemoryStoreType To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("lock")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("managedObjectIDForURIRepresentation:")
  MonoMac.CoreData.NSManagedObjectID `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("managedObjectModel")
  MonoMac.CoreData.NSManagedObjectModel To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("metadataForPersistentStore:")
  MonoMac.Foundation.NSDictionary `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("metadataForPersistentStoreOfType:URL:error:")
  MonoMac.Foundation.NSDictionary `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("metadataForPersistentStoreWithURL:error:")
  System.Obsolete("Deprecated in MAC OSX 10.5 and later", false)
  MonoMac.Foundation.NSDictionary `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("migratePersistentStore:toURL:options:withType:error:")
  MonoMac.CoreData.NSPersistentStore `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSMigratePersistentStoresAutomaticallyOption To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSPersistentStoreFileProtectionKey To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("persistentStoreForURL:")
  MonoMac.CoreData.NSPersistentStore `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSPersistentStoreOSCompatibility To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("persistentStores")
  MonoMac.CoreData.NSPersistentStore[] To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSPersistentStoreTimeoutOption To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSPersistentStoreUbiquitousContentNameKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSPersistentStoreUbiquitousContentURLKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSReadOnlyPersistentStoreOption To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("registeredStoreTypes")
  MonoMac.Foundation.NSDictionary To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("registerStoreClass:forStoreType:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSRemovedPersistentStoresKey To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("removePersistentStore:error:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setMetadata:forPersistentStore:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setMetadata:forPersistentStoreOfType:URL:error:")
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setURL:forPersistentStore:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSSQLiteAnalyzeOption To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSSQLiteManualVacuumOption To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSSQLitePragmasOption To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSSQLiteStoreType To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSStoreModelVersionHashesKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSStoreModelVersionIdentifiersKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for StoresDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver (NSPersistentStoreCoordinator.StoresDidChangeNotification, (notification) => Console.WriteLine ("Received the notification NSPersistentStoreCoordinator", notification); // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSPersistentStoreCoordinator", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSPersistentStoreCoordinator.StoresDidChangeNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSStoreTypeKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSStoreUUIDKey To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("tryLock")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("unlock")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("URLForPersistentStore:")
  MonoMac.Foundation.NSUrl `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSUUIDChangedPersistentStoresKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for WillRemoveStore NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver (NSPersistentStoreCoordinator.WillRemoveStoreNotification, (notification) => Console.WriteLine ("Received the notification NSPersistentStoreCoordinator", notification); // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSPersistentStoreCoordinator", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSPersistentStoreCoordinator.WillRemoveStoreNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.